Print Page | Close Window

Does breeze.js work in IE8 and IE7?

Printed From: IdeaBlade
Category: Breeze
Forum Name: Community Forum
Forum Discription: Build rich JavaScript apps using techniques you already know
URL: http://www.ideablade.com/forum/forum_posts.asp?TID=3736
Printed Date: 17-Nov-2019 at 5:33pm


Topic: Does breeze.js work in IE8 and IE7?
Posted By: dean
Subject: Does breeze.js work in IE8 and IE7?
Date Posted: 23-Oct-2012 at 6:12pm
Does breeze.js work in IE8 and IE7?
or, it only works in Chrome, Firefox, and IE9?

dean



Replies:
Posted By: johnl
Date Posted: 24-Oct-2012 at 3:21pm
Yes and maybe?

IE8: Yes

IE 8 uses an older JS engine. You'll need to call upon es5-shim.js to fill in some, and possibly other, more modern bits. Additionally you'll need to use sham.js to get create working.


IE7: Maybe, but I haven't proved it myself yet.

Uh-oh. IE7 doesn't have native support for JSON or localStorage. So now, in addition to the above, at the very least you'll need to call upon json2.js for help as well as a something to handle localStorage. ( http://amplifyjs.com/api/store/ - Amplify perhaps? )

I did some testing in IE7 with shim, sham, and json2 (but not Amplify). Running the DocCode sample generated about two dozen errors.

Most of them were timeout errors, as IE7 took about twenty times longer to run through the tests than Chrome did ... or localStorage errors as without Amplify (or some other solution) IE7 is helpless on its own.

I think you can get it working as long as you take care of JSON and localStorage.

Let me know if Amplify (or something else) works for you.







Print Page | Close Window